# ToDo's

- find a good abstraction for systems that allows setting nixpkgs.localSystem per systems
  - e.g. build utility function with a module based interface to set things like march and hostname
  - should yield a `nixosConfiguration.${hostname} = nixpkgs.lib.nixosSystem {...}`
- set localSystem per system like this:
  ```nix
  # to allow building
  nix.extraOptions = ''
    system-features = system-features = gccarch-znver2
  '';
  # to actually build (after rebuilding with the feature before)
  localSystem = {
    inherit system;
    gcc = {
      arch = "znver2";
      tune = "znver2";
    };
  };
  pkgs-args = {
    inherit localSystem;
    inherit overlays;
    config = {
      # ....
    };
  };
  pkgs = import nixpkgs pkgs-args;
  nixpkgs.pkgs = pkgs;
  ```
- switch from security.sudo.* to security.sudo-rs.*
